Default I9295 lack of support so dissapointing

The lack of support that Samsung is providing for the i9295 version of the S4A is so disappointing. I am in Canada and purchased this device because I wanted the water resistance. The fact I am stuck on 4.2.2 is terrible, my vechile had the SYNC updated yesterday and now wont talk to my phone bluetooths as it is too out of date. I post this because I think everyone needs to think twice before purachasing one of the variants that are sure to follow the S5. Join the masses or get left behind.